#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(to_cxl_root_decoder, 0xc0d278dd, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x4ab663b7, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x08ec92f0, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x1f1be29f, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x1c2ff5e4, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x0841e22e, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0xd23ff27f, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x8d250914, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x9bc92967, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x752d4c5d, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0xf938b704, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x0ec11c83, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x4a44311a, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x2564d53c, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xf5e5eac6, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x804e2a5f, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x3407d8af, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x92e80589, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0xe8a7ba4e, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x520bac64, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0xbfa9cba7, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0xaf2aa83b, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x8fc79b44, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xb27d4829, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x85fa48a4, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x14b71ef3, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0xfc2e165c, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x19594770, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0xbb5694ca, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xe0732618, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0xff048329, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x256ef2b8, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x851c1b19, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0xed999fc4, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x1e14dc74, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0xa46095e5, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x0d0ccf5c, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x548762cb, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x30d46785, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0xe4bf86bf, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x354099e5, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x74d52ee3, "_gpl");
SYMBOL_CRC(cxl_rcrb_to_component, 0x4c9c2483, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x86e8de4a, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x8ff34cd6, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0xeed8ee8a, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x9ec5f158, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0xe128d947, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0xbd135338, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0xda42068f, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0xb41c8fa0, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x70a5584d, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x6fda1427, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x9f63120e, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x64ddeb9d, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xaf345321, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x49ea7f74, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0xa594cea2, "_gpl");
SYMBOL_CRC(cxl_dev_state_create, 0x1ae1b417, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0xf2ba45bd, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x456fe87b, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x85ac0f17, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x452eae84, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xe4e80a59, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x3e590f6a, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x5f4903c6, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x1d9324ab, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x4c9b83de, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x7f8cf77a, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xb6c8ee6b, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x89dfac1f, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x7a0826c4, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x157eccef, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x7a655c98, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0xe88de595, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0xe8ebd056, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8b22adf0, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x47db0bdd, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x8259dffd, "dev_set_name" },
	{ 0xe41fae70, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeebdf392, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x1830d2e1, "cdev_device_del" },
	{ 0xf83cd0f2, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x8d300e9, "device_unregister" },
	{ 0x52d8409b, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcf07d8fd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2934668d, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xe395c283, "device_initialize" },
	{ 0xd6ac5099, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xf669354d, "pcpu_hot" },
	{ 0xf9eb0963, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6695f5be, "bpf_trace_run2" },
	{ 0x40f8e789, "devm_remove_action" },
	{ 0x51c2e1cb, "get_device" },
	{ 0xc4f9d867, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3462b342, "dev_driver_string" },
	{ 0xb6e33f3a, "trace_event_buffer_commit" },
	{ 0xbf6c70e, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xaa903ffe, "__devm_request_region" },
	{ 0x36aaf840, "cdev_device_add" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x7cc86908, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x2c84e884, "bus_for_each_dev" },
	{ 0x246c1a99, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x61baa46a, "compat_ptr_ioctl" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf91949f, "perf_trace_run_bpf_submit" },
	{ 0x62108963, "sysfs_update_group" },
	{ 0xd154b012, "bus_unregister" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xa91ed3d5, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xdc5e7fa0, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x9c9ce382, "debugfs_create_bool" },
	{ 0x5341ab5e, "bus_find_device" },
	{ 0x8da4aeb4, "device_add" },
	{ 0xd4c4d163, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x23e4817c, "noop_llseek" },
	{ 0x56f3c556, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xa71a3f13, "debugfs_remove" },
	{ 0xda1485a1, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x43c8b9b2, "trace_event_reg" },
	{ 0x6573f300, "ida_free" },
	{ 0x59a7ceb1, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x60d9a018, "device_find_child" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0xc9fc8027, "devm_release_action" },
	{ 0x3bf88682, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6453dbb4, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0x55d57373, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7e62bbb3, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xeddd417, "down_read" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x16e28bd2, "bpf_trace_run3" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeeb3812, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7f88f3be, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x546ef138, "down_write_killable" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xf5d073e8, "xa_find" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf5874c13, "seq_printf" },
	{ 0x9b2b427a, "device_match_name" },
	{ 0xb70789e, "__might_fault" },
	{ 0xa4cb207, "pci_walk_bus" },
	{ 0x1ff5a710, "kmalloc_trace" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x7e5b4c35, "__devm_add_action" },
	{ 0x521414a8, "pci_find_dvsec_capability" },
	{ 0x374f5832, "device_find_child_by_name" },
	{ 0x85cc070e, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe68e004e, "pci_write_config_word" },
	{ 0x9456ceb, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0x53ee43a5, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1f120322, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xce5f733d, "pci_bus_type" },
	{ 0x3c9c6300, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xffd195fe, "bus_register" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "18FE641CCDE4FE87086A774");

MODULE_INFO(suserelease, "SLE15-SP6");
