#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dm_send_uevents, 0x1967fa39, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x904d10c1, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x59fe57a3, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0xd915f5d4, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x5037499b, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x16199944, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xe84c098d, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0xb16278c2, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(_dm_prepare_ioctl, 0x7fb6df73, "_gpl");
SYMBOL_CRC(dm_unprepare_ioctl, 0x1d870fbf, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0xd3fc8d8b, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x651e3199, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x0f0a9d0e, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0xf1efbd89, "_gpl");
SYMBOL_CRC(dm_get_md, 0x09ac0747, "_gpl");
SYMBOL_CRC(dm_hold, 0xf557bf7d, "_gpl");
SYMBOL_CRC(dm_device_name, 0x98378616, "_gpl");
SYMBOL_CRC(dm_put, 0x6c4dfc17, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x3760390f, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x37c43fb2, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xb182a6b9, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x2f494f89, "_gpl");
SYMBOL_CRC(dm_disk, 0xf074239a, "_gpl");
SYMBOL_CRC(dm_suspended, 0x254beff5, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x95ccecbe, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0x69693c7e, "_gpl");
SYMBOL_CRC(dm_get_device, 0x50d73313, "");
SYMBOL_CRC(dm_put_device, 0x5ac9d1d3, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0x935be573, "_gpl");
SYMBOL_CRC(dm_table_event, 0x4e91996a, "");
SYMBOL_CRC(dm_table_get_size, 0x8d974021, "");
SYMBOL_CRC(dm_table_get_mode, 0x885cc830, "");
SYMBOL_CRC(dm_table_get_md, 0x7cf93bed, "");
SYMBOL_CRC(dm_table_device_name, 0xa2e7fbec, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0xe42c4faa, "");
SYMBOL_CRC(dm_register_target, 0xe042a6ca, "");
SYMBOL_CRC(dm_unregister_target, 0xf9c088cf, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x1f2dfd59, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x275e4c1d, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x2486e63b, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x79099d75, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x1d768e74, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe0857e8, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x90eebd85, "set_disk_ro" },
	{ 0x18e9db46, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x11c76227, "blk_integrity_register" },
	{ 0xb4add387, "try_module_get" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x1b7611aa, "misc_deregister" },
	{ 0x560a8b54, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x12e9a2cb, "param_ops_uint" },
	{ 0x3b1d2aae, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9112cba3, "bio_split_to_limits" },
	{ 0xb7ef41b3, "vmalloc_to_page" },
	{ 0xfa52a3be, "disk_update_readahead" },
	{ 0xc6cf55ba, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0x3999e74c, "fs_dax_get_by_bdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x3a0ed27a, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0xf6bcd80e, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x756755ff, "blk_crypto_profile_destroy" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9233c07b, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xd4608aff, "dm_kobject_release" },
	{ 0xbfc97bdc, "up" },
	{ 0x5b657133, "mempool_init" },
	{ 0xd732b3a1, "blk_rq_prep_clone" },
	{ 0x21a1015d, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x716f418, "blk_mq_quiesce_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0ff0b, "blk_crypto_profile_init" },
	{ 0xf669354d, "pcpu_hot" },
	{ 0xceceffc1, "freeze_bdev" },
	{  0x95556, "blk_queue_write_cache" },
	{ 0xcc6748bf, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x6b1e70b6, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xe79fe112, "synchronize_srcu" },
	{ 0x9fe1bd95, "kmem_cache_create" },
	{ 0xeefc7a69, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x158f5b33, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8ada4d7a, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7e6b6658, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xd3ebfa0c, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x340a4c5, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x569deb84, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xea76caf0, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xebbb85e1, "blk_crypto_register" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xb3bffa21, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd1746351, "bdev_nr_zones" },
	{ 0xd8296b43, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0xc7198ec6, "blk_queue_flag_set" },
	{ 0xf86dde4a, "kmalloc_node_trace" },
	{ 0x93360c87, "__SCK__tp_func_block_split" },
	{ 0x4ccdacd6, "mempool_alloc" },
	{ 0x7fbf7ac6, "blkdev_put" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc693a851, "__free_pages" },
	{ 0x1bc44e8a, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd3b7b1ee, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6f3e38d9, "submit_bio" },
	{ 0x8e68ac3d, "blk_crypto_has_capabilities" },
	{ 0xf35619d5, "dax_add_host" },
	{ 0xbfa7cdb0, "blk_queue_flag_clear" },
	{ 0x7d7e3eec, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb463d313, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe4f387e4, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xd5cecc6, "ima_measure_critical_data" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xe90727e9, "kobject_uevent_env" },
	{ 0xe6df274a, "bio_put" },
	{ 0xfb9bb191, "blk_crypto_intersect_capabilities" },
	{ 0x5ee762e9, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x31061c93, "init_srcu_struct" },
	{ 0xe7bb91d5, "__SCK__tp_func_block_bio_remap" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0xab6708f0, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0x2befaec4, "blkdev_get_by_dev" },
	{ 0x398547bd, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x13e1c796, "thaw_bdev" },
	{ 0xea10d93c, "set_capacity" },
	{ 0x8d640105, "submit_bio_noacct" },
	{ 0x23e4817c, "noop_llseek" },
	{ 0x8b6f6714, "blk_integrity_compare" },
	{ 0x32a460e8, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x4a8e6ef9, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x8f5bf026, "kmem_cache_free" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x3743f251, "dax_remove_host" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x7999d344, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5a261780, "dax_recovery_write" },
	{ 0xd6ce7dfd, "wait_for_completion_io" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x51b4885f, "kobject_init_and_add" },
	{ 0x2f613689, "zero_fill_bio_iter" },
	{ 0x12d80e77, "bio_add_page" },
	{ 0x63b016b, "crypto_shash_update" },
	{ 0x1b6675ff, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6bf2c2b4, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8d8158bb, "cleanup_srcu_struct" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x8f3c778c, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6556a81a, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x4cba6b8f, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa603ad2, "misc_register" },
	{ 0x6d7aab3f, "blk_crypto_evict_key" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x71a1e2eb, "blk_insert_cloned_request" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xff7c59c7, "audit_log_start" },
	{ 0x90515953, "nonseekable_open" },
	{ 0x70ac2c1a, "blk_limits_io_min" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xde6102af, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xfa46e70c, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf7a0d03e, "bio_uninit" },
	{ 0x105d80b, "crypto_shash_final" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x669b44eb, "param_ops_bool" },
	{ 0xdd79b88a, "bioset_init" },
	{ 0xb4eb3588, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xecc981a5, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9227cfb7, "__blk_should_fake_timeout" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xeda83401, "__srcu_read_unlock" },
	{ 0xb70789e, "__might_fault" },
	{ 0x8135613, "dax_write_cache" },
	{ 0x7f58a3a7, "__tracepoint_block_bio_remap" },
	{ 0xbd75fe2, "__tracepoint_block_rq_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xca67a48c, "bd_link_disk_holder" },
	{ 0x7513d6aa, "blk_mq_start_request" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xa917c1de, "blk_limits_io_opt" },
	{ 0x7242d92, "put_dax" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x3ac591a0, "__SCK__tp_func_block_rq_remap" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1ff5a710, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x96c8bf00, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x928a7acb, "param_ops_int" },
	{ 0x534994c2, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x2ca2ff55, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xc5361b0f, "bio_alloc_bioset" },
	{ 0xbb53856b, "up_read" },
	{ 0x7da3ef4a, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfa3343d8, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9c108095, "bdev_end_io_acct" },
	{ 0x3c9c6300, "kmalloc_caches" },
	{ 0x50d1495e, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ac5babd, "kmem_cache_destroy" },
	{ 0x7d49a8bf, "blk_crypto_update_capabilities" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6c1e215c, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "72CA691D98ED070344935BD");

MODULE_INFO(suserelease, "SLE15-SP6");
