#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(bttv_get_pcidev, 0x1c1a8f8c, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0x81d1a2a9, "");
SYMBOL_CRC(bttv_sub_unregister, 0x69b95e36, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd9e8f1db, "videobuf_streamoff" },
	{ 0xf0409a4e, "v4l2_fh_exit" },
	{ 0x1210ee50, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2b2fd9f5, "videobuf_poll_stream" },
	{ 0xc8f90b28, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x436e212e, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5f3cf435, "v4l2_ctrl_radio_filter" },
	{ 0x8259dffd, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4d17e190, "i2c_bit_add_bus" },
	{ 0x2c6df285, "v4l2_ctrl_add_handler" },
	{ 0x24c56940, "v4l2_fh_del" },
	{ 0x8d300e9, "device_unregister" },
	{ 0xba9519e2, "videobuf_dma_free" },
	{ 0xe0761bd7, "v4l2_fh_add" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xf605921e, "pci_get_device" },
	{ 0x3979b755, "request_firmware" },
	{ 0x507db5fe, "__pci_register_driver" },
	{ 0xd2e0c6ae, "v4l2_ctrl_handler_init_class" },
	{ 0xb29746ea, "videobuf_reqbufs" },
	{ 0xedc03953, "iounmap" },
	{ 0x9681b708, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xb492bf30, "videobuf_waiton" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x50c82a9d, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x42421491, "videobuf_queue_is_busy" },
	{ 0x4320b43c, "videobuf_dqbuf" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfcce94c4, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xa93d1202, "v4l2_ctrl_handler_log_status" },
	{ 0x8a2db496, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9605ac43, "video_devdata" },
	{ 0x7cc86908, "put_device" },
	{ 0xb937dd8f, "i2c_new_scanned_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x5791d873, "v4l2_ctrl_find" },
	{ 0xeb5db409, "i2c_del_adapter" },
	{ 0x123959a1, "v4l2_type_names" },
	{ 0x3adbd595, "v4l2_field_names" },
	{ 0xa3f34f09, "__v4l2_ctrl_s_ctrl" },
	{ 0x9987afa0, "videobuf_stop" },
	{ 0xc1c2a887, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2db439f1, "rc_keyup" },
	{ 0xd154b012, "bus_unregister" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x72e50bea, "tveeprom_read" },
	{ 0xa6368368, "v4l2_ctrl_new_custom" },
	{ 0x8f66c7ff, "rc_keydown_notimeout" },
	{ 0xdceaf26e, "videobuf_queue_sg_init" },
	{ 0x24d273d1, "add_timer" },
	{ 0x90773eb3, "videobuf_dma_unmap" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xae869f2c, "videobuf_read_stream" },
	{ 0x553a86d0, "videobuf_sg_alloc" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x1c34c4f3, "rc_register_device" },
	{ 0xaf8c6a6e, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0xf407c52c, "videobuf_querybuf" },
	{ 0x185d1e38, "rc_keydown" },
	{ 0xf05cd393, "snd_tea575x_enum_freq_bands" },
	{ 0x59a7ceb1, "driver_unregister" },
	{ 0x4b415cb9, "v4l2_ctrl_subscribe_event" },
	{ 0xa7b84e34, "snd_tea575x_s_hw_freq_seek" },
	{ 0xcd1a8e2, "v4l2_event_pending" },
	{ 0xa341d27b, "v4l2_fh_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x2fcb1b9a, "snd_tea575x_set_freq" },
	{ 0xab4be348, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x9cdb983c, "videobuf_qbuf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x74695a0e, "i2c_new_client_device" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x68fb3d43, "device_register" },
	{ 0x7260051f, "videobuf_read_one" },
	{ 0x38429327, "rc_free_device" },
	{ 0x73446306, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x5b00c37c, "v4l2_device_register" },
	{ 0x5b2004f, "i2c_add_adapter" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd54c7bb0, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa8a70f2e, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x74855ed5, "videobuf_iolock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x87cf105f, "snd_tea575x_hw_init" },
	{ 0x16eb2b5d, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xabca4765, "videobuf_streamon" },
	{ 0x9b168ca4, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x396aa950, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x250cad8d, "videobuf_next_field" },
	{ 0xd4c11bb5, "v4l2_ctrl_handler_free" },
	{ 0xb48e299, "v4l2_device_unregister" },
	{ 0xac8141ff, "pci_disable_device" },
	{ 0x31e51600, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x7b0bee22, "v4l2_subdev_call_wrappers" },
	{ 0x1ff5a710, "kmalloc_trace" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0x767d100c, "v4l2_i2c_new_subdev" },
	{ 0x7a020580, "pci_read_config_byte" },
	{ 0xcb7f8365, "videobuf_mmap_mapper" },
	{ 0x77358855, "iomem_resource" },
	{ 0x928a7acb, "param_ops_int" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xef8eadb0, "video_device_release_empty" },
	{ 0x53ee43a5, "driver_register" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfa86d562, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfab2b013, "v4l2_event_unsubscribe" },
	{ 0x3c9c6300, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xffd195fe, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x84715a4f, "videobuf_to_dma" },
	{ 0x41225b26, "videobuf_mmap_free" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "videobuf-core,videodev,tea575x,i2c-algo-bit,videobuf-dma-sg,rc-core,tveeprom");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6ED690DAD1BE6F27C31337C");

MODULE_INFO(suserelease, "SLE15-SP6");
