#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(t3_l2t_send_slow, 0x99d20f28, "");
SYMBOL_CRC(t3_l2t_send_event, 0x80a0790d, "");
SYMBOL_CRC(t3_l2e_free, 0x4551fb0b, "");
SYMBOL_CRC(t3_l2t_get, 0x716f484a, "");
SYMBOL_CRC(cxgb3_register_client, 0x3c571d64, "");
SYMBOL_CRC(cxgb3_unregister_client, 0xd7b5b9ba, "");
SYMBOL_CRC(cxgb3_free_atid, 0xe3eb8cea, "");
SYMBOL_CRC(cxgb3_free_stid, 0x1f6931e7, "");
SYMBOL_CRC(cxgb3_insert_tid, 0x4d8e83b8, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0x2b8a2823, "");
SYMBOL_CRC(cxgb3_remove_tid, 0x9153365d, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0x769349b6, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0x480ead29, "");
SYMBOL_CRC(dev2t3cdev, 0xd1581b48, "");
SYMBOL_CRC(t3_register_cpl_handler, 0x963cbb1f, "");
SYMBOL_CRC(cxgb3_ofld_send, 0x0d959bf9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xbac6a8a8, "alloc_etherdev_mqs" },
	{ 0x96f247d1, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x41eae2d9, "pcie_capability_read_word" },
	{ 0x7525db31, "napi_gro_frags" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4b82690a, "pcie_capability_write_word" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdd4990d2, "skb_copy_bits" },
	{ 0x5ee2eae0, "pci_read_vpd" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x436e212e, "pci_enable_device" },
	{ 0xcb4afc81, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x77bc13a0, "strim" },
	{ 0x7e58096d, "netdev_update_features" },
	{ 0x6a5dc88d, "consume_skb" },
	{ 0x77356538, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x75880b1c, "unregister_netdev" },
	{ 0xc43d5eab, "napi_get_frags" },
	{ 0x93bd60e, "dma_unmap_page_attrs" },
	{ 0x3979b755, "request_firmware" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x507db5fe, "__pci_register_driver" },
	{ 0x298bce77, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xfd5d8646, "pci_disable_msi" },
	{ 0x133c2f61, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0xf669354d, "pcpu_hot" },
	{ 0xc966a5e2, "__put_devmap_managed_page_refs" },
	{ 0x3752ab23, "eth_validate_addr" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xc4f9d867, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfcce94c4, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x3462b342, "dev_driver_string" },
	{ 0x7b2f6792, "dev_addr_mod" },
	{ 0x6f99c521, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xc66823f2, "dma_map_page_attrs" },
	{ 0xc7191722, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0xdef2ca67, "__napi_schedule" },
	{ 0xe5144c1d, "pci_enable_msix_range" },
	{ 0xc7ed69d2, "pci_write_vpd_any" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2c398f3, "__alloc_skb" },
	{ 0xc693a851, "__free_pages" },
	{ 0xbae94a66, "_dev_info" },
	{ 0x68253e87, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2b98a384, "pci_find_capability" },
	{ 0xf993e189, "_dev_alert" },
	{ 0xa7d8218e, "pci_enable_msi" },
	{ 0xdc5e7fa0, "_dev_err" },
	{ 0x9009fc8d, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x38a1ee81, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xafdad3e4, "netif_set_real_num_rx_queues" },
	{ 0xbd0772ec, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb9b23824, "kfree_skb_reason" },
	{ 0x8c1093b0, "pci_write_vpd" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xaf8c6a6e, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xda1485a1, "pci_read_config_word" },
	{ 0x8005be42, "napi_enable" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x221427b1, "netif_receive_skb" },
	{ 0xf2a4a45d, "register_netdev" },
	{ 0x42dc1227, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x57c36ab5, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0x6a1b0463, "ethtool_op_get_link" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x72186d63, "netif_tx_stop_all_queues" },
	{ 0xd1758ee1, "pci_restore_state" },
	{ 0x8385889e, "netif_tx_wake_queue" },
	{ 0xa07a6d09, "dma_sync_single_for_cpu" },
	{ 0x55d57373, "_dev_warn" },
	{ 0x73446306, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x746168a4, "netif_rx" },
	{ 0x3b15ff6f, "__neigh_event_send" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc5fc6e5a, "dma_set_coherent_mask" },
	{ 0xde6102af, "pv_ops" },
	{ 0x9c4423ce, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5887f3de, "neigh_destroy" },
	{ 0xa8a70f2e, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7e075e0e, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xecc981a5, "alloc_pages" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x100ffd14, "netdev_master_upper_dev_get_rcu" },
	{ 0x95f169b1, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe9a11570, "netif_carrier_off" },
	{ 0x576fb399, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xb9ea5bc9, "netif_carrier_on" },
	{ 0xeca2602e, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xac8141ff, "pci_disable_device" },
	{ 0x31e51600, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3fbf5d23, "vlan_dev_vlan_id" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x1ff5a710, "kmalloc_trace" },
	{ 0xcf3a9020, "napi_schedule_prep" },
	{ 0xc17196f0, "napi_disable" },
	{ 0xb799e120, "dev_kfree_skb_any_reason" },
	{ 0x928a7acb, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xdc72ad8c, "__kfree_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c9c6300, "kmalloc_caches" },
	{ 0x5cf15733, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "06A6A331CE8E30D41ED2797");

MODULE_INFO(suserelease, "SLE15-SP6");
