#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x46ecc0a4, "");
SYMBOL_CRC(ath10k_info, 0x416d329e, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x9af5be37, "");
SYMBOL_CRC(ath10k_err, 0xcdf46a50, "");
SYMBOL_CRC(ath10k_warn, 0x88cf24a5, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0x86a23858, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x70961c46, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x9cac94b1, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x6eb05634, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0xbec85af9, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0xc26bdde1, "");
SYMBOL_CRC(ath10k_core_start, 0x1b059cf5, "");
SYMBOL_CRC(ath10k_core_stop, 0x58c62ffa, "");
SYMBOL_CRC(ath10k_core_register, 0xa5acaffd, "");
SYMBOL_CRC(ath10k_core_unregister, 0x3acf4773, "");
SYMBOL_CRC(ath10k_core_create, 0xdad48506, "");
SYMBOL_CRC(ath10k_core_destroy, 0x55b8bea6, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x0508321e, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0xafc8455c, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0x35361e18, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x44d78c69, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x774082ca, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x4b080cf5, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0xd9e22231, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x461025f9, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x8c9120e8, "");
SYMBOL_CRC(ath10k_bmi_start, 0x04176f6f, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x3925263b, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0x87fb3c8e, "");
SYMBOL_CRC(ath10k_coredump_new, 0xc7fb170b, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0x72797fc1, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0x84e8353c, "");
SYMBOL_CRC(ath10k_ce_send, 0xfc05eece, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x3d7262d9, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0xcbf26a76, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0x1377ac88, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0xca985571, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0xb80c6a7e, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x529f5d4d, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x336aa23b, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0xb89223e8, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0x19b43cc0, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0xbb7ffa59, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0xf394b405, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0xc915f7e2, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0x4eab647d, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x98cf4c59, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x4e44b310, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0xad3a0f44, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0xdce96adc, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x1bdfd355, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0xaab2f06e, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0x6d05d59a, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0xc23506d0, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0xc3f39673, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0xb4c91447, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xabb97e9e, "cpu_latency_qos_remove_request" },
	{ 0x64f993a2, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9285997f, "device_set_wakeup_enable" },
	{ 0x98c178d2, "completion_done" },
	{ 0x7b6a50f3, "ieee80211_connection_loss" },
	{ 0xcd8ff4db, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x391fc4c2, "is_acpi_device_node" },
	{ 0x78b0c593, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x55b08f0f, "__ieee80211_schedule_txq" },
	{ 0x5b26275, "_ieee80211_beacon_update_cntdwn" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x721bc4cf, "ieee80211_txq_get_depth" },
	{ 0x12e9a2cb, "param_ops_uint" },
	{ 0x3b1d2aae, "param_ops_ulong" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x47db0bdd, "devm_kmalloc" },
	{ 0xcb4afc81, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x28429ae1, "firmware_request_nowarn" },
	{ 0x6a5dc88d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x8fa3d18b, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1458b28e, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x1185d95d, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x46cf98ea, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x93bd60e, "dma_unmap_page_attrs" },
	{ 0x92feecdd, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x79df25d3, "ieee80211_iterate_stations_atomic" },
	{ 0x298bce77, "dma_sync_single_for_device" },
	{ 0x842f9415, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6f4d009e, "ieee80211_beacon_loss" },
	{ 0x4dbd8b07, "cpu_latency_qos_add_request" },
	{ 0xae98400e, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xf669354d, "pcpu_hot" },
	{ 0x5d21ad21, "thermal_cooling_device_register" },
	{ 0xcbf4e441, "ieee80211_register_hw" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x6dd45b0c, "ieee80211_restart_hw" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xd60e0dd, "ieee80211_wake_queue" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x930fe513, "ieee80211_hw_restart_disconnect" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb383cdd3, "pskb_expand_head" },
	{ 0x6f9ac55a, "skb_queue_purge_reason" },
	{ 0x3462b342, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x528e2106, "ieee80211_find_sta" },
	{ 0xc66823f2, "dma_map_page_attrs" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8439247, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xcec672d6, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xa916b694, "strnlen" },
	{ 0xb392d6db, "cfg80211_put_bss" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xbae94a66, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x26ecf55d, "skb_queue_tail" },
	{ 0x7943c1d8, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x246c1a99, "sysfs_create_link" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xb30e24ca, "wiphy_to_ieee80211_hw" },
	{ 0xe23ab9bd, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x667219f8, "ieee80211_queue_delayed_work" },
	{ 0x1180350a, "ieee80211_proberesp_get" },
	{ 0xdc5e7fa0, "_dev_err" },
	{ 0xc1c40fb9, "simple_open" },
	{ 0x9009fc8d, "skb_pull" },
	{ 0xd4c4d163, "sysfs_remove_link" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xed71f292, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4222a32, "ieee80211_find_sta_by_ifaddr" },
	{ 0xe5c0ceaa, "ieee80211_next_txq" },
	{ 0xb9b23824, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7b9bffd3, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4084423a, "skb_push" },
	{ 0xaf8c6a6e, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x8005be42, "napi_enable" },
	{ 0xb8ff198f, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x54af7c00, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xbdbf3d47, "ieee80211_report_low_ack" },
	{ 0x58cac6c3, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x746dea81, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x32b8b607, "dev_coredumpv" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x1189068d, "ieee80211_alloc_hw_nm" },
	{ 0x15c58dfc, "cfg80211_get_bss" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x627d17fd, "default_llseek" },
	{ 0x95af9bd6, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x897e2939, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x55d57373, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x39eb621b, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xbd001f7d, "devm_nvmem_cell_get" },
	{ 0x5fc8e3fa, "ieee80211_stop_queue" },
	{ 0xcde4339f, "__netdev_alloc_skb" },
	{ 0x503c98c0, "ieee80211_ready_on_channel" },
	{ 0x807f26cb, "ieee80211_stop_queues" },
	{ 0x9361c7ee, "skb_trim" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xff839340, "skb_realloc_headroom" },
	{ 0xacd76c70, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x3abd1692, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x713bd00a, "debugfs_create_file" },
	{ 0xa8a70f2e, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x590c7a91, "ieee80211_scan_completed" },
	{ 0xca679c99, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x669b44eb, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xe8315239, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9d40c880, "ath_regd_init" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x91f32ea1, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc613a859, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x4662ca14, "ieee80211_tdls_oper_request" },
	{ 0xd74dc65, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa2cddc3b, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb9bbbf5b, "ieee80211_tx_rate_update" },
	{ 0x1ff5a710, "kmalloc_trace" },
	{ 0x132de358, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0xc17196f0, "napi_disable" },
	{ 0xb799e120, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd32d8953, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3c9c6300, "kmalloc_caches" },
	{ 0x745f0582, "ieee80211_csa_finish" },
	{ 0x12f6e145, "skb_queue_head" },
	{ 0x2d112c91, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,ath");


MODULE_INFO(srcversion, "AD4040F0701AB85E1E354F3");

MODULE_INFO(suserelease, "SLE15-SP6");
