#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76_set_irq_mask, 0x282df445, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0xcf546328, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x5c602ccd, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0xeac2ce3b, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x6bbdf375, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x752c4631, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x9d47956d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0x5221c085, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x5a1ffcdf, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x7d99a2ae, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x6af201a4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xf52350c4, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0xdd6f20ef, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x6f9b6248, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0xcab1d1da, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0xed6203d1, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x7c75e29a, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x25bbd77a, "_gpl");
SYMBOL_CRC(mt76_dma_wed_reset, 0xd374844b, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x22e77933, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0xb1dab837, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x7be7f87a, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x4653626a, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0xb2db6357, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xaea11874, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x886fbece, "_gpl");
SYMBOL_CRC(mt76_register_device, 0xf91dd43b, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0xf829ca8b, "_gpl");
SYMBOL_CRC(mt76_free_device, 0xab0ce21a, "_gpl");
SYMBOL_CRC(mt76_rx, 0xe3a54ec4, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0xe5d4773d, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0xc151715a, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x6633c43a, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0x4cf6162c, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x3e8ff8ba, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0xce5805b4, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0xe3eb930a, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0xd6308eaf, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x85374c91, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0xc7d9b807, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0xbcb6953e, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x374bdae1, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x6b6c4625, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x741359c6, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0xff1b68fb, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0x23a959f9, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x2565c21f, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x330b6996, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x46c29420, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x92bf8e4d, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xe137d9c3, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x6816f309, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x6b7e4e60, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0xb30c9b6b, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x42a2b030, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x63cb5187, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xf1d1ddb7, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0xc77fcefd, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x0e0f63a4, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x5d1011f2, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0xe620eb59, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0x1537b946, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x7b453555, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0xde4c0cfe, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0xc224177e, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0xde72b73b, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xa6a2ee33, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x66ff0b6e, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x35eb7818, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x999c0c27, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xbe63fce9, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0xccee4a52, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x87d9175a, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xf76ecab3, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x688a646a, "_gpl");
SYMBOL_CRC(mt76_tx, 0x7a4d67fd, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0xe810b611, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x06f59953, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x8cd04eb7, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0xf3403b22, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x7f7689ad, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0xe46600eb, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0xe12af742, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x13fb3a94, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x6a62ff86, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x9bdc3fd8, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x0841f43e, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x9bf47eb6, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x7eeeb81e, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x95d94169, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x6fd81a35, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0xf7dbbc51, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0xaa48c2e5, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x4893953c, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x043b25a0, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x43d9a8ac, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0xa31fcc44, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0xad4c7ba9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x64f993a2, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x41eae2d9, "pcie_capability_read_word" },
	{ 0xf2129636, "__skb_pad" },
	{ 0xffd1c68e, "page_pool_get_stats" },
	{ 0x63ff2327, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x55b08f0f, "__ieee80211_schedule_txq" },
	{ 0x39a039fc, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x47db0bdd, "devm_kmalloc" },
	{ 0xcb4afc81, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x446334a5, "page_pool_alloc_frag" },
	{ 0x6a5dc88d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x77356538, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xa316f6dc, "dmam_alloc_attrs" },
	{ 0xeebdf392, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x1185d95d, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x52d8409b, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x46cf98ea, "ieee80211_free_hw" },
	{ 0x93bd60e, "dma_unmap_page_attrs" },
	{ 0x92feecdd, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcf07d8fd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x298bce77, "dma_sync_single_for_device" },
	{ 0x50a8d43a, "skb_add_rx_frag" },
	{ 0x842f9415, "ieee80211_tx_status_ext" },
	{ 0x2574b434, "debugfs_create_blob" },
	{ 0xd6ac5099, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf669354d, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x702f70b8, "page_pool_destroy" },
	{ 0xcbf4e441, "ieee80211_register_hw" },
	{ 0x9cfb5237, "led_classdev_unregister" },
	{ 0x39d969d, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x578bdba9, "ieee80211_sta_eosp" },
	{ 0xc9bc6331, "ieee80211_get_hdrlen_from_skb" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x3381296, "__netif_napi_del" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xf16b4e21, "kthread_park" },
	{ 0x4551b636, "sched_set_fifo_low" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe93b6195, "wake_up_process" },
	{ 0x3462b342, "dev_driver_string" },
	{ 0xb6e33f3a, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xc66823f2, "dma_map_page_attrs" },
	{ 0xc7191722, "napi_complete_done" },
	{ 0xa12822c9, "ieee80211_get_tx_rates" },
	{ 0x556c6ce0, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x979a255d, "ieee80211_sta_uapsd_trigger" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc49aa950, "debugfs_create_devm_seqfile" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2c398f3, "__alloc_skb" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xf86bc114, "pci_disable_link_state" },
	{ 0xbae94a66, "_dev_info" },
	{ 0x68253e87, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x26ecf55d, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0xb16dfac1, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x6033c432, "debugfs_attr_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x667219f8, "ieee80211_queue_delayed_work" },
	{ 0x416cf2de, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf91949f, "perf_trace_run_bpf_submit" },
	{ 0xdc5e7fa0, "_dev_err" },
	{ 0x4d1f3f6a, "debugfs_create_file_unsafe" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xed790fd5, "simple_attr_release" },
	{ 0xeccf7722, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4222a32, "ieee80211_find_sta_by_ifaddr" },
	{ 0xe5c0ceaa, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd0c98326, "pcie_capability_clear_and_set_word_locked" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4084423a, "skb_push" },
	{ 0x8005be42, "napi_enable" },
	{ 0xb8ff198f, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x43c8b9b2, "trace_event_reg" },
	{ 0xf5f0e2c8, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1e186a2f, "kthread_stop" },
	{ 0x746dea81, "ieee80211_free_txskb" },
	{ 0x80388f4d, "led_classdev_register_ext" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x1189068d, "ieee80211_alloc_hw_nm" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x95af9bd6, "ieee80211_tx_dequeue" },
	{ 0xc202f48c, "ieee80211_rx_list" },
	{ 0xa07a6d09, "dma_sync_single_for_cpu" },
	{ 0x9497fe9d, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2110eb43, "debugfs_create_u32" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x218d54bb, "kthread_create_on_node" },
	{ 0xa8950dc5, "cfg80211_reg_can_beacon" },
	{ 0x16e28bd2, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7f88f3be, "trace_event_buffer_reserve" },
	{ 0xca679c99, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe8315239, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x135a04bd, "napi_build_skb" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf5874c13, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x5725ab10, "seq_puts" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1ff5a710, "kmalloc_trace" },
	{ 0xff0c298c, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x44533a5f, "debugfs_create_u8" },
	{ 0x9456ceb, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd32d8953, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3c9c6300, "kmalloc_caches" },
	{ 0x745f0582, "ieee80211_csa_finish" },
	{ 0x1dba63e8, "page_pool_put_unrefed_page" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "9D14204B385BE8FC7F4165D");

MODULE_INFO(suserelease, "SLE15-SP6");
