#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb45267ee, "rt2800_mcu_request" },
	{ 0xc1b95584, "rt2800mmio_toggle_irq" },
	{ 0xc4d80b75, "rt2800mmio_enable_radio" },
	{ 0xa231f302, "rt2x00pci_remove" },
	{ 0xc0e2c352, "rt2x00pci_pm_ops" },
	{ 0x48951224, "rt2800mmio_queue_init" },
	{ 0x4e172f71, "rt2800_rt2x00debug" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0xc881eb32, "rt2800mmio_probe_hw" },
	{ 0xecf0609f, "rt2800_check_firmware" },
	{ 0xcc9678cc, "rt2800_load_firmware" },
	{ 0x4cdd29dc, "rt2x00mmio_initialize" },
	{ 0x3c152771, "rt2x00mmio_uninitialize" },
	{ 0x34168841, "rt2800mmio_get_entry_state" },
	{ 0x5c2811eb, "rt2800mmio_clear_entry" },
	{ 0xb8324ecc, "rt2800_rfkill_poll" },
	{ 0xcd01539b, "rt2800_link_stats" },
	{ 0x2f412f37, "rt2800_reset_tuner" },
	{ 0xf246a0a4, "rt2800_link_tuner" },
	{ 0x9cf7e04d, "rt2800_gain_calibration" },
	{ 0xf47683e0, "rt2800_vco_calibration" },
	{ 0xac905939, "rt2800_watchdog" },
	{ 0xd03f8dc3, "rt2800mmio_start_queue" },
	{ 0xe5e8721c, "rt2800mmio_kick_queue" },
	{ 0xafd8e519, "rt2800mmio_stop_queue" },
	{ 0x44ecc7de, "rt2800mmio_flush_queue" },
	{ 0x5c1bdfa3, "rt2800mmio_write_tx_desc" },
	{ 0xf452abe9, "rt2800_write_tx_data" },
	{ 0xba07673c, "rt2800_write_beacon" },
	{ 0x542ef336, "rt2800_clear_beacon" },
	{ 0x4d6ea52d, "rt2800mmio_fill_rxdone" },
	{ 0xd7b2e85f, "rt2800_config_shared_key" },
	{ 0xd0cdf390, "rt2800_config_pairwise_key" },
	{ 0x9d8b00fe, "rt2800_config_filter" },
	{ 0x4cdecfed, "rt2800_config_intf" },
	{ 0x4ac4573f, "rt2800_config_erp" },
	{ 0xc59e7f19, "rt2800_config_ant" },
	{ 0x4ee7c2b0, "rt2800_config" },
	{ 0xd47576fc, "rt2800_pre_reset_hw" },
	{ 0x384059ba, "rt2x00mmio_regbusy_read" },
	{ 0x6a5e968f, "rt2800mmio_init_registers" },
	{ 0x7c1c7c5a, "rt2800mmio_get_txwi" },
	{ 0x372eca05, "rt2800mmio_get_dma_done" },
	{ 0x6e6edfc1, "rt2x00mac_tx" },
	{ 0x3f7ecffe, "rt2x00mac_start" },
	{ 0x6265a64e, "rt2x00mac_stop" },
	{ 0x79bbca61, "rt2x00mac_add_interface" },
	{ 0x28cfb305, "rt2x00mac_remove_interface" },
	{ 0xadec76ba, "rt2x00mac_config" },
	{ 0x8955ffa9, "rt2x00mac_bss_info_changed" },
	{ 0x9136af92, "rt2x00mac_configure_filter" },
	{ 0x4bc89a42, "rt2x00mac_set_key" },
	{ 0xccd08a27, "rt2x00mac_sw_scan_start" },
	{ 0xe2541057, "rt2x00mac_sw_scan_complete" },
	{ 0x27d53da3, "rt2x00mac_get_stats" },
	{ 0x551c7dd6, "rt2800_get_key_seq" },
	{ 0x3fab0286, "rt2800_set_rts_threshold" },
	{ 0x835b2a9e, "rt2800_sta_add" },
	{ 0x1cbf00b7, "rt2800_sta_remove" },
	{ 0x18230c65, "rt2800_conf_tx" },
	{ 0xf04f36f5, "rt2800_get_tsf" },
	{ 0xd9888961, "rt2800_ampdu_action" },
	{ 0xc7f05f10, "rt2800_get_survey" },
	{ 0xd0223cda, "rt2x00mac_rfkill_poll" },
	{ 0xa07bbad4, "rt2x00mac_flush" },
	{ 0xf2828327, "rt2x00mac_get_ringparam" },
	{ 0x22de0e6, "rt2x00mac_tx_frames_pending" },
	{ 0xb061e060, "ieee80211_emulate_add_chanctx" },
	{ 0x78673e48, "ieee80211_emulate_remove_chanctx" },
	{ 0x250b6a9d, "ieee80211_emulate_change_chanctx" },
	{ 0xab7ec857, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x3bbef88e, "rt2x00mac_reconfig_complete" },
	{ 0x864fa82e, "ieee80211_handle_wake_tx_queue" },
	{ 0x669b44eb, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x507db5fe, "__pci_register_driver" },
	{ 0x97c044a3, "rt2x00pci_probe" },
	{ 0x1897b6de, "rt2800_efuse_detect" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x2727c2ae, "rt2800_read_eeprom_efuse" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xfcce94c4, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xdc5e7fa0, "_dev_err" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2CC3E1C5DAB5726F7E0AA45");

MODULE_INFO(suserelease, "SLE15-SP6");
