#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw89_core_fill_txdesc, 0xe11dfd53, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x144a071c, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0xf30de426, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x08769dcf, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0xef317ef5, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0xb5831c4d, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0x70514466, "");
SYMBOL_CRC(rtw89_core_rx, 0x11fac077, "");
SYMBOL_CRC(rtw89_core_napi_start, 0x9fff1714, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x61ace3f2, "");
SYMBOL_CRC(rtw89_core_napi_init, 0xff6dfd1e, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x327c6697, "");
SYMBOL_CRC(rtw89_check_quirks, 0x1fa70cc4, "");
SYMBOL_CRC(rtw89_core_init, 0xbf5bfc5f, "");
SYMBOL_CRC(rtw89_core_deinit, 0x1dad197b, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0x2e68e9b2, "");
SYMBOL_CRC(rtw89_core_register, 0xd624a1fa, "");
SYMBOL_CRC(rtw89_core_unregister, 0x8e34b97b, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x4732cc2e, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x15bf1724, "");
SYMBOL_CRC(rtw89_ops, 0x6f38dd25, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0x10131a4a, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0xa213165b, "");
SYMBOL_CRC(rtw89_mac_size, 0x3e3298fc, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0xc53f7940, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0xa6f4f3e6, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0xda96ca1b, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0xa26d9a33, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0xb81c98b4, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x76d069d7, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0x941c22b0, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0xdb8e2bf9, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0xb44b2309, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0xe7d5f971, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x3f267213, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0xee700cb5, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xd5c5b8d8, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x1ce675ef, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0xc5d15c6a, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x96ac711d, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x822f3a7b, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0xba2e8559, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0xb573c0a0, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0x54eb6a39, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0x398952b2, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0xa93aa11e, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0x4788f77e, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x76ff2c0c, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0x565776b4, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x06220c3a, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x58f826b7, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x1b1c39ff, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0xa64806f6, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0xb40501d9, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0xbb47e2f4, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0x2710bcf5, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0xe82f0264, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0x83a2c3a5, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0xb32c4a41, "");
SYMBOL_CRC(rtw89_rfk_parser, 0xd9f08382, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0xef303a59, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x2587f3ca, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x8ab88ae0, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0x56e9c544, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0x6fb4ae14, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0xe796706e, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0xb5e630d1, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0xe9743e8f, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0x30601292, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0xa9c3d987, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0x36363a6c, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0xf618a6f2, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0x86476cbf, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0x5791c218, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0xad42dec0, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0x52d3af6f, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0x0cf8aee0, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0xda8969f1, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x0793d41b, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x708eaa5b, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x4ec93db8, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x0fdad364, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x100d7901, "");
SYMBOL_CRC(rtw89_ser_notify, 0xce07614f, "");
SYMBOL_CRC(rtw89_debug_mask, 0xe3f57b04, "");
SYMBOL_CRC(rtw89_debug, 0x6f71d0a5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x80441c4e, "ieee80211_stop_tx_ba_session" },
	{ 0x9285997f, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b6a50f3, "ieee80211_connection_loss" },
	{ 0xa3ed9ccc, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x391fc4c2, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x55b08f0f, "__ieee80211_schedule_txq" },
	{ 0x721bc4cf, "ieee80211_txq_get_depth" },
	{ 0x12e9a2cb, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xac164133, "cfg80211_bss_iter" },
	{ 0xcb4afc81, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5dc88d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x77356538, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x46cf98ea, "ieee80211_free_hw" },
	{ 0x25cb464d, "ieee80211_probereq_get" },
	{ 0x92feecdd, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3979b755, "request_firmware" },
	{ 0x79df25d3, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf2e9a598, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xae98400e, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xd81db730, "ieee80211_nullfunc_get" },
	{ 0xf669354d, "pcpu_hot" },
	{ 0x91603d2a, "seq_lseek" },
	{ 0xde0d3164, "ieee80211_pspoll_get" },
	{ 0xcbf4e441, "ieee80211_register_hw" },
	{ 0x250b6a9d, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6dd45b0c, "ieee80211_restart_hw" },
	{ 0x3381296, "__netif_napi_del" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb383cdd3, "pskb_expand_head" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x528e2106, "ieee80211_find_sta" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xdef2ca67, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xbae94a66, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x26ecf55d, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xcfe049d5, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xb30e24ca, "wiphy_to_ieee80211_hw" },
	{ 0x667219f8, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x1180350a, "ieee80211_proberesp_get" },
	{ 0xdc5e7fa0, "_dev_err" },
	{ 0xc1c40fb9, "simple_open" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe5c0ceaa, "ieee80211_next_txq" },
	{ 0xb9b23824, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7b9bffd3, "ieee80211_remain_on_channel_expired" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4084423a, "skb_push" },
	{ 0x8005be42, "napi_enable" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x54af7c00, "ieee80211_wake_queues" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x13a1298f, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x746dea81, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x32b8b607, "dev_coredumpv" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x1189068d, "ieee80211_alloc_hw_nm" },
	{ 0x95af9bd6, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x55d57373, "_dev_warn" },
	{ 0xb061e060, "ieee80211_emulate_add_chanctx" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab7ec857, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xcde4339f, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x503c98c0, "ieee80211_ready_on_channel" },
	{ 0x807f26cb, "ieee80211_stop_queues" },
	{ 0x9361c7ee, "skb_trim" },
	{ 0xd5fe6976, "skb_unlink" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xce9268ef, "seq_read" },
	{ 0x713bd00a, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x590c7a91, "ieee80211_scan_completed" },
	{ 0xca679c99, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x669b44eb, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe8315239, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf5874c13, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x91f32ea1, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc613a859, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0x923716e2, "ieee80211_cqm_rssi_notify" },
	{ 0x5725ab10, "seq_puts" },
	{ 0x1c149231, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x1ff5a710, "kmalloc_trace" },
	{ 0x132de358, "ieee80211_queue_work" },
	{ 0xcf3a9020, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xc17196f0, "napi_disable" },
	{ 0xb799e120, "dev_kfree_skb_any_reason" },
	{ 0xba45287e, "_dev_printk" },
	{ 0x840fe76f, "single_open" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x9456ceb, "debugfs_create_dir" },
	{ 0x78673e48, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd32d8953, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3c9c6300, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2d112c91, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "8349AF4C1272B4CE8D73C3E");

MODULE_INFO(suserelease, "SLE15-SP6");
