#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0xc1704df5, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0x6271ab83, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0x26090aed, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0x659b6fab, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0xa789de5b, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x59613375, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0xa127a762, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x0cb6032e, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0xdba2b321, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x35bd3a69, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x1873b2e2, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x01082e79, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0xfbf0d722, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0x787e2657, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x775f6d8e, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x42cf1674, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x4bbf5b94, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x365f8d43, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0x2067c447, "_gpl");
SYMBOL_CRC(dsa_slave_dev_check, 0x76fafb92, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x10c7957f, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x39f7c134, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0xb4a8c586, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0x13a6b5e1, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0x3afaf8a5, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x8519b7ba, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x1977c7ea, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x036d923b, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0x6f0c720c, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x41bd3715, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7997b1e2, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x2b139606, "netdev_lower_get_next" },
	{ 0x4c1c881, "flow_block_cb_lookup" },
	{ 0xa1167c97, "switchdev_handle_port_obj_add_foreign" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf6e49bc3, "devlink_resource_occ_get_unregister" },
	{ 0x14742147, "dev_set_mtu" },
	{ 0xcb853a8a, "br_vlan_enabled" },
	{ 0xf2129636, "__skb_pad" },
	{ 0xb4add387, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8b22adf0, "bpf_trace_run4" },
	{ 0xa264a42c, "devlink_unregister" },
	{ 0xe63b38bc, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0xc9bd3ed5, "br_port_flag_is_set" },
	{ 0x47db0bdd, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2b7f8ec1, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf8f9621e, "br_port_get_stp_state" },
	{ 0x6a5dc88d, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbcb53bfb, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc66eb3f1, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x70cb4718, "__netpoll_free" },
	{ 0xeebdf392, "trace_raw_output_prep" },
	{ 0x97ba6ea4, "br_vlan_get_proto" },
	{ 0x6bc628fc, "br_mst_get_state" },
	{ 0x75880b1c, "unregister_netdev" },
	{ 0x52d8409b, "__trace_trigger_soft_disabled" },
	{ 0xcf07d8fd, "trace_event_printf" },
	{ 0x716ea50f, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xdce0b189, "netpoll_send_skb" },
	{ 0xf2def14e, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xaf1f9fed, "devlink_params_unregister" },
	{ 0xc3b0d274, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xd6ac5099, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xd1fa0cdf, "devlink_alloc_ns" },
	{ 0x3b2efd6e, "dev_set_promiscuity" },
	{ 0xcd12f78f, "devlink_register" },
	{ 0xf669354d, "pcpu_hot" },
	{ 0x3be81f6, "devlink_free" },
	{ 0x26217c9f, "gro_cells_init" },
	{ 0x6695f5be, "bpf_trace_run2" },
	{ 0x32af141e, "netdev_warn" },
	{ 0xaf0f5798, "unregister_netdevice_queue" },
	{ 0x51c2e1cb, "get_device" },
	{ 0x53032461, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc4f9d867, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xf9387a48, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x86c9cd8b, "switchdev_handle_fdb_event_to_device" },
	{ 0x8038850b, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x55c614f3, "netdev_upper_dev_link" },
	{ 0xb383cdd3, "pskb_expand_head" },
	{ 0xacd48321, "switchdev_handle_port_attr_set" },
	{ 0xd387572f, "phylink_create" },
	{ 0x10c0b657, "vlan_for_each" },
	{ 0xf7ae66f1, "netdev_port_same_parent_id" },
	{ 0xb6e33f3a, "trace_event_buffer_commit" },
	{ 0x7b2f6792, "dev_addr_mod" },
	{ 0x6f99c521, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1057b1f, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xead0329f, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x46b056be, "vlan_dev_vlan_proto" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x7cc86908, "put_device" },
	{ 0xe5974f4d, "devlink_resource_register" },
	{ 0xed26e9c, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xc14bea01, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x821771dd, "switchdev_bridge_port_offload" },
	{ 0x9730694f, "netif_device_attach" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x7d7e3eec, "module_put" },
	{ 0x5b81edd7, "ptp_classify_raw" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x373f7395, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xb87626fb, "devlink_region_create" },
	{ 0x41d57f6e, "vlan_dev_real_dev" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc669be87, "__dev_get_by_index" },
	{ 0xd948a0e2, "rtnl_link_unregister" },
	{ 0xf91949f, "perf_trace_run_bpf_submit" },
	{ 0x9529cd7b, "devlink_port_unregister" },
	{ 0xdc5e7fa0, "_dev_err" },
	{ 0x9e84b0a4, "init_net" },
	{ 0x14a59ad6, "noop_qdisc" },
	{ 0xfe1f86a9, "phy_ethtool_get_strings" },
	{ 0x78888720, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xb7289d9a, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xdaaae486, "dev_remove_pack" },
	{ 0x71b66b83, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xb9b23824, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa194ced9, "gro_cells_receive" },
	{ 0xd2c961c8, "switchdev_handle_port_obj_del_foreign" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x4084423a, "skb_push" },
	{ 0xa0ad813c, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xd4209e4, "dev_mc_del" },
	{ 0x43c8b9b2, "trace_event_reg" },
	{ 0xfb1d9d29, "br_vlan_get_info" },
	{ 0x42dc1227, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xce990aa7, "mdiobus_free" },
	{ 0xdac366b3, "phylink_generic_validate" },
	{ 0x57c36ab5, "sysfs_create_group" },
	{ 0x6729be21, "devlink_resource_occ_get_register" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x6a1b0463, "ethtool_op_get_link" },
	{ 0x60d9a018, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xebc26c28, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fabf7c4, "switchdev_bridge_port_unoffload" },
	{ 0x55d57373, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xe0b3c6a1, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0xeb3abdd6, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x746168a4, "netif_rx" },
	{ 0xc54fcf4, "dev_mc_add" },
	{ 0x89ec54d3, "flow_block_cb_alloc" },
	{ 0xa5d9c6db, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9361c7ee, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x76c0552d, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xde6102af, "pv_ops" },
	{ 0x9c4423ce, "sysfs_remove_group" },
	{ 0x11af4682, "net_selftest" },
	{ 0x16e28bd2, "bpf_trace_run3" },
	{ 0x2131d8c, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x4cc38566, "devlink_port_init" },
	{ 0xd0471f70, "__netpoll_setup" },
	{ 0xf98f36cf, "__dev_queue_xmit" },
	{ 0xff6a09c8, "vlan_vid_add" },
	{ 0xe3e12025, "devlink_params_register" },
	{ 0x7f88f3be, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x558b4e2c, "vlan_vid_del" },
	{ 0x547c3522, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x76922ebb, "devlink_resources_unregister" },
	{ 0x1e010d9, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe9a11570, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x576fb399, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb3a5ada5, "devlink_port_region_create" },
	{ 0x24ee003b, "devlink_priv" },
	{ 0xc613a859, "skb_copy" },
	{ 0xde7d4c44, "__hw_addr_sync_dev" },
	{ 0xebd1bb3e, "devlink_port_register_with_ops" },
	{ 0x3d67d91e, "mdiobus_get_phy" },
	{ 0xcf5c866f, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x1f6b44a0, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7078501f, "dev_uc_add" },
	{ 0x3fbf5d23, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x8891a602, "br_mst_enabled" },
	{ 0x1ff5a710, "kmalloc_trace" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xb2487248, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0xb799e120, "dev_kfree_skb_any_reason" },
	{ 0xc8ce2e77, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7eaef81c, "device_link_add" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0xf977ee1d, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7a3b84fa, "dcb_ieee_setapp" },
	{ 0x3c1cdaf2, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c9c6300, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9c080dee, "__skb_vlan_pop" },
	{ 0xa0015c4a, "phylink_connect_phy" },
	{ 0x9a411bdd, "br_get_ageing_time" },
	{ 0x57c1ff1, "register_netdevice" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "libphy,bridge,hsr,selftests,phylink");


MODULE_INFO(srcversion, "6B66612925F0401E2F38F3E");

MODULE_INFO(suserelease, "SLE15-SP6");
