#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wpan_phy_find, 0x2e11488f, "");
SYMBOL_CRC(wpan_phy_for_each, 0xcca18e5a, "");
SYMBOL_CRC(wpan_phy_new, 0xc933b698, "");
SYMBOL_CRC(wpan_phy_register, 0xe715a5a2, "");
SYMBOL_CRC(wpan_phy_unregister, 0x7e52887d, "");
SYMBOL_CRC(wpan_phy_free, 0xd51139ae, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x8f77a329, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0xfdfe8972, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x4671c149, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xe6f80e4c, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0xe5fd8229, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0xf5df51bd, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x0096e579, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0xa65604bf, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x0c6ffb7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8b22adf0, "bpf_trace_run4" },
	{ 0xcb4afc81, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8259dffd, "dev_set_name" },
	{ 0x5ecc0dfe, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xeebdf392, "trace_raw_output_prep" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x52d8409b, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xcf07d8fd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe395c283, "device_initialize" },
	{ 0x9441e3cd, "genlmsg_put" },
	{ 0xd6ac5099, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf669354d, "pcpu_hot" },
	{ 0x6695f5be, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x51c2e1cb, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc972b9b4, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x14c9d413, "device_rename" },
	{ 0xb6e33f3a, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7cc86908, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2c398f3, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd28ea892, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc669be87, "__dev_get_by_index" },
	{ 0xf91949f, "perf_trace_run_bpf_submit" },
	{ 0x9e84b0a4, "init_net" },
	{ 0x9009fc8d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8da4aeb4, "device_add" },
	{ 0xac81d4e0, "netlink_unicast" },
	{ 0x9b23a4ac, "dev_get_by_index" },
	{ 0xb9b23824, "kfree_skb_reason" },
	{ 0x4084423a, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x43c8b9b2, "trace_event_reg" },
	{ 0xb7a8b051, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x85e8662f, "unregister_pernet_device" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3c3f51a5, "bpf_trace_run1" },
	{ 0x3bf88682, "device_del" },
	{ 0xde5c2245, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xbda8c0d7, "__pskb_pull_tail" },
	{ 0x9361c7ee, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x16e28bd2, "bpf_trace_run3" },
	{ 0x17867426, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc16f3b6e, "get_net_ns_by_pid" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7f88f3be, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x9b2b427a, "device_match_name" },
	{ 0x47b9bd5, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4c169700, "genl_unregister_family" },
	{ 0x1ff5a710, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x68220e7e, "genl_register_family" },
	{ 0xcaddcec8, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16dd2dbe, "register_pernet_device" },
	{ 0x94c99321, "get_net_ns_by_fd" },
	{ 0xf9b1b6a2, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3c9c6300, "kmalloc_caches" },
	{ 0xed8c0e8, "class_find_device" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D41528180F6A18D6BBE6299");

MODULE_INFO(suserelease, "SLE15-SP6");
