#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nfc_hci_result_to_errno, 0x74fe3670, "");
SYMBOL_CRC(nfc_hci_reset_pipes, 0x7180183d, "");
SYMBOL_CRC(nfc_hci_reset_pipes_per_host, 0x17c1866e, "");
SYMBOL_CRC(nfc_hci_sak_to_protocol, 0xdd231c55, "");
SYMBOL_CRC(nfc_hci_target_discovered, 0xa3d0d9fc, "");
SYMBOL_CRC(nfc_hci_allocate_device, 0xd658df1b, "");
SYMBOL_CRC(nfc_hci_free_device, 0x775799e5, "");
SYMBOL_CRC(nfc_hci_register_device, 0x55bd1f8e, "");
SYMBOL_CRC(nfc_hci_unregister_device, 0x12124f78, "");
SYMBOL_CRC(nfc_hci_set_clientdata, 0x3798875e, "");
SYMBOL_CRC(nfc_hci_get_clientdata, 0x6be5ee10, "");
SYMBOL_CRC(nfc_hci_driver_failure, 0x2012ad0d, "");
SYMBOL_CRC(nfc_hci_recv_frame, 0xa96c25d6, "");
SYMBOL_CRC(nfc_hci_send_event, 0x4bad9b50, "");
SYMBOL_CRC(nfc_hci_send_cmd, 0x761ad8e8, "");
SYMBOL_CRC(nfc_hci_send_cmd_async, 0xddf463cf, "");
SYMBOL_CRC(nfc_hci_set_param, 0x0ffe181a, "");
SYMBOL_CRC(nfc_hci_get_param, 0xd6bcbd88, "");
SYMBOL_CRC(nfc_hci_disconnect_gate, 0xa57e9aed, "");
SYMBOL_CRC(nfc_hci_disconnect_all_gates, 0x59041f81, "");
SYMBOL_CRC(nfc_hci_connect_gate, 0x20de3922, "");
SYMBOL_CRC(nfc_llc_start, 0x0dd2aca6, "");
SYMBOL_CRC(nfc_llc_stop, 0xabd0d4fe, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcb4afc81, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1185d95d, "skb_dequeue" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x1cc7f2d3, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x15f48aaa, "nfc_allocate_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f9ac55a, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0680ffc, "nfc_alloc_recv_skb" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7cc86908, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2c398f3, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x26ecf55d, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9009fc8d, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb9b23824, "kfree_skb_reason" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4084423a, "skb_push" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x39eb621b, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9361c7ee, "skb_trim" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xaf801e4f, "nfc_targets_found" },
	{ 0x1ff5a710, "kmalloc_trace" },
	{ 0x80f09f98, "nfc_driver_failure" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3c9c6300, "kmalloc_caches" },
	{ 0x1f23ab6a, "nfc_register_device" },
	{ 0x12f6e145, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "0B1F174CEDB4DFA029BCDBF");

MODULE_INFO(suserelease, "SLE15-SP6");
