#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tls_toe_register_device, 0x0c3846fd, "");
SYMBOL_CRC(tls_toe_unregister_device, 0xc4e89f6d, "");
SYMBOL_CRC(tls_device_sk_destruct, 0x65b9f1ae, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x1c114ed5, "_gpl");
SYMBOL_CRC(tls_get_record, 0xd5acc85e, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0xf4de724a, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x038ec433, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8cf8c4cb, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xab774f22, "tcp_bpf_sendmsg_redir" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x278b3289, "tcp_read_sock" },
	{ 0x8b22adf0, "bpf_trace_run4" },
	{ 0xdd4990d2, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd276cb0, "sk_page_frag_refill" },
	{ 0xcb4afc81, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9de2d506, "tcp_sendmsg_locked" },
	{ 0x6a5dc88d, "consume_skb" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeebdf392, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x1f034746, "sk_psock_msg_verdict" },
	{ 0xf83cd0f2, "bpf_trace_run6" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x52d8409b, "__trace_trigger_soft_disabled" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xcf07d8fd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc0d1a032, "iov_iter_get_pages2" },
	{ 0x45e6d55c, "___pskb_trim" },
	{ 0xd6ac5099, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf669354d, "pcpu_hot" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xc966a5e2, "__put_devmap_managed_page_refs" },
	{ 0xf2f5886a, "clean_acked_data_enable" },
	{ 0x5cc55cb3, "skb_splice_bits" },
	{ 0x4b90734f, "crypto_alloc_aead" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x4680b80b, "__tracepoint_sk_data_ready" },
	{ 0xeaba7a92, "crypto_aead_setauthsize" },
	{ 0x4a1f9c6, "crypto_aead_decrypt" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xc5761db6, "sk_stream_error" },
	{ 0xd460ee49, "sk_msg_recvmsg" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x759c4abb, "sk_msg_memcopy_from_iter" },
	{ 0x9088700f, "sk_error_report" },
	{ 0xae77308b, "register_pernet_subsys" },
	{ 0xb97c4a56, "put_cmsg" },
	{ 0x6693bcd9, "__sk_flush_backlog" },
	{ 0xb6e33f3a, "trace_event_buffer_commit" },
	{ 0x340a4c5, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x28c0ae33, "sk_psock_tls_strp_read" },
	{ 0x8330f9b8, "sk_msg_clone" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xb2c398f3, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x26f9fba9, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xeece2d1, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x34ac33b5, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc455d85d, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf91949f, "perf_trace_run_bpf_submit" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xeed7fd81, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9888a97a, "crypto_aead_encrypt" },
	{ 0xe4a3eb65, "__SCK__tp_func_sk_data_ready" },
	{ 0x71b66b83, "bpf_trace_run5" },
	{ 0x45c07ce8, "sk_free" },
	{ 0xc418c873, "skb_store_bits" },
	{ 0xb9b23824, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7d61aea8, "__sk_mem_reclaim" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x5d9f3cc4, "sk_stream_wait_memory" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x43c8b9b2, "trace_event_reg" },
	{ 0xf8f43524, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xfc083518, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9acd6e99, "lock_sock_nested" },
	{ 0x2a499f0e, "sk_msg_return_zero" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x98fe4dcd, "skb_copy_datagram_iter" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3c3f51a5, "bpf_trace_run1" },
	{ 0x6fa7ae5a, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x3d427b1a, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x206416dc, "sock_efree" },
	{ 0x15873cb6, "iov_iter_bvec" },
	{ 0xe742ad24, "kfree_skb_list_reason" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe92a377b, "clean_acked_data_disable" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xf464836a, "sk_msg_free_partial" },
	{ 0xeddd417, "down_read" },
	{ 0x9361c7ee, "skb_trim" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x82ca60cf, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb3d2dc2b, "tcp_register_ulp" },
	{ 0x16e28bd2, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x6af8016a, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x12313f4e, "skb_page_frag_refill" },
	{ 0x7f88f3be, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4ff535a3, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xecc981a5, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x95f169b1, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x5d194c9f, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf5874c13, "seq_printf" },
	{ 0xb15315f7, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x531d5d66, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xcf5c866f, "dst_release" },
	{ 0x1e8792d6, "_copy_from_iter" },
	{ 0xb70789e, "__might_fault" },
	{ 0x6f13ad86, "skb_copy_header" },
	{ 0x6671781b, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x13e5118d, "netdev_sk_get_lowest_dev" },
	{ 0x7cbb5800, "sk_msg_alloc" },
	{ 0x1ff5a710, "kmalloc_trace" },
	{ 0x9877698b, "_copy_from_iter_nocache" },
	{ 0x7b344dc2, "tcp_rate_check_app_limited" },
	{ 0x26fbe657, "tcp_poll" },
	{ 0xd1eeeb51, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x7477908b, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa688ffe9, "skb_to_sgvec" },
	{ 0xbb53856b, "up_read" },
	{ 0x22d64ae5, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c9c6300, "kmalloc_caches" },
	{ 0x7a5bb596, "tcp_read_done" },
	{ 0x8237165c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8FCD05507C9C056BCAFE1A1");

MODULE_INFO(suserelease, "SLE15-SP6");
