#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(oxygen_read8, 0x6dc6b973, "");
SYMBOL_CRC(oxygen_read16, 0xab3d41df, "");
SYMBOL_CRC(oxygen_read32, 0xaa3fa9b5, "");
SYMBOL_CRC(oxygen_write8, 0x45ad8bd8, "");
SYMBOL_CRC(oxygen_write16, 0x0e36cf7a, "");
SYMBOL_CRC(oxygen_write32, 0x42beb356, "");
SYMBOL_CRC(oxygen_write8_masked, 0xa0a1cb5a, "");
SYMBOL_CRC(oxygen_write16_masked, 0x1829888e, "");
SYMBOL_CRC(oxygen_write32_masked, 0x8bf014c1, "");
SYMBOL_CRC(oxygen_write_ac97, 0x9eb722b0, "");
SYMBOL_CRC(oxygen_read_ac97, 0x9f717695, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0xb46e2f6d, "");
SYMBOL_CRC(oxygen_write_spi, 0x8c1ab9ee, "");
SYMBOL_CRC(oxygen_write_i2c, 0x12da4dd5, "");
SYMBOL_CRC(oxygen_reset_uart, 0x71731263, "");
SYMBOL_CRC(oxygen_write_uart, 0x65b88557, "");
SYMBOL_CRC(oxygen_pci_probe, 0xcdddf16d, "");
SYMBOL_CRC(oxygen_pci_pm, 0x500a32f6, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0x85b9ae6d, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0x4dbd0a24, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8dea484b, "devm_request_threaded_irq" },
	{ 0x47db0bdd, "devm_kmalloc" },
	{ 0x4dc48fd8, "snd_ctl_add" },
	{ 0x44bbc074, "snd_pcm_new" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb3930779, "snd_card_register" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x133c2f61, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x28ea57ef, "snd_card_free_on_error" },
	{ 0xdc7bcd35, "snd_card_rw_proc_new" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xedb2c90a, "snd_pcm_set_sync" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbf6c70e, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x9d792b02, "snd_ctl_new1" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x88cb86a7, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbae94a66, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa829f3a, "snd_ctl_boolean_mono_info" },
	{ 0xdc5e7fa0, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x2bbf629c, "snd_ctl_notify" },
	{ 0xeabb89ec, "snd_pcm_set_ops" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x350e860c, "snd_pcm_set_managed_buffer" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x59ce5cf0, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x73446306, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc5508cd1, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf5874c13, "seq_printf" },
	{ 0x7a6d706f, "snd_mpu401_uart_new" },
	{ 0x88762091, "pci_match_id" },
	{ 0xce3a83ea, "snd_pcm_hw_constraint_msbits" },
	{ 0xa1ea416, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0xf99dcebf, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x1f734c9, "pcim_enable_device" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xe68e004e, "pci_write_config_word" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2c2d7938, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-mpu401-uart");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");

MODULE_INFO(suserelease, "SLE15-SP6");
