#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7efb078, "devm_platform_ioremap_resource" },
	{ 0x391fc4c2, "is_acpi_device_node" },
	{ 0x47db0bdd, "devm_kmalloc" },
	{ 0x838b0759, "platform_driver_unregister" },
	{ 0xddce4128, "platform_get_irq" },
	{ 0xc41f29f3, "i2c_dw_adjust_bus_speed" },
	{ 0xd4ed9a5b, "pci_dev_put" },
	{ 0xe3412f95, "pm_runtime_set_autosuspend_delay" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x44414ff2, "iosf_mbi_unblock_punit_i2c_access" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4f9d867, "__dynamic_dev_dbg" },
	{ 0x86f27420, "iosf_mbi_block_punit_i2c_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b48954a, "__pm_runtime_set_status" },
	{ 0x98a356de, "psp_send_platform_access_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x82e3eec8, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbae94a66, "_dev_info" },
	{ 0xeb5db409, "i2c_del_adapter" },
	{ 0xdc5e7fa0, "_dev_err" },
	{ 0xe172028d, "i2c_dw_acpi_configure" },
	{ 0x101b3490, "i2c_dw_prepare_clk" },
	{ 0xfe1ced77, "rt_mutex_unlock" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x4c0dedbd, "rt_mutex_trylock" },
	{ 0xc217712a, "pci_get_domain_bus_and_slot" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xacb226ea, "i2c_parse_fw_timings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb8a6dc82, "device_get_match_data" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf38cad7b, "__platform_driver_register" },
	{ 0x484864a8, "__devm_reset_control_get" },
	{ 0x1ebed49a, "devm_clk_get_optional" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x40ec9787, "i2c_dw_validate_speed" },
	{ 0x1a91abe7, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x28e09af1, "iosf_mbi_available" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6e8e1814, "i2c_dw_configure_master" },
	{ 0x1ff5a710, "kmalloc_trace" },
	{ 0x16fcedb3, "set_primary_fwnode" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x330a5c72, "__pm_runtime_use_autosuspend" },
	{ 0x79f999d4, "__pm_runtime_disable" },
	{ 0x96d8f15a, "rt_mutex_lock" },
	{ 0x4dba95c3, "__pm_runtime_idle" },
	{ 0x6ea40704, "psp_ring_platform_doorbell" },
	{ 0x60bedd8d, "i2c_dw_probe_master" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3c9c6300, "kmalloc_caches" },
	{ 0x4a937398, "psp_check_platform_access_status" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "i2c-designware-core,ccp");

MODULE_ALIAS("acpi*:INT33C2:*");
MODULE_ALIAS("acpi*:INT33C3:*");
MODULE_ALIAS("acpi*:INT3432:*");
MODULE_ALIAS("acpi*:INT3433:*");
MODULE_ALIAS("acpi*:80860F41:*");
MODULE_ALIAS("acpi*:808622C1:*");
MODULE_ALIAS("acpi*:AMD0010:*");
MODULE_ALIAS("acpi*:AMDI0010:*");
MODULE_ALIAS("acpi*:AMDI0019:*");
MODULE_ALIAS("acpi*:AMDI0510:*");
MODULE_ALIAS("acpi*:APMC0D0F:*");
MODULE_ALIAS("acpi*:HISI02A1:*");
MODULE_ALIAS("acpi*:HISI02A2:*");
MODULE_ALIAS("acpi*:HISI02A3:*");
MODULE_ALIAS("acpi*:HYGO0010:*");

MODULE_INFO(srcversion, "FBD5F8EB5C041F12EBE8B6B");

MODULE_INFO(suserelease, "SLE15-SP6");
