#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x43aa7485, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xdf8f2589, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x746eb78e, "");
SYMBOL_CRC(rdma_res_to_id, 0x76e35928, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xed8223c9, "");
SYMBOL_CRC(rdma_create_user_id, 0x4e3423e3, "");
SYMBOL_CRC(rdma_create_qp, 0x595c118f, "");
SYMBOL_CRC(rdma_destroy_qp, 0x759b6461, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x6e7722bd, "");
SYMBOL_CRC(rdma_destroy_id, 0x2153952a, "");
SYMBOL_CRC(rdma_get_service_id, 0x0381a59b, "");
SYMBOL_CRC(rdma_read_gids, 0x4966c108, "");
SYMBOL_CRC(rdma_set_service_type, 0xbf969f0a, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x6f9da18d, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xc1e65d51, "");
SYMBOL_CRC(rdma_set_ib_path, 0xb36a14ff, "");
SYMBOL_CRC(rdma_resolve_route, 0xae8e7045, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x8d6b4d14, "");
SYMBOL_CRC(rdma_set_afonly, 0x2c3995b5, "");
SYMBOL_CRC(rdma_listen, 0xd7f1032b, "");
SYMBOL_CRC(rdma_resolve_addr, 0x72070f63, "");
SYMBOL_CRC(rdma_bind_addr, 0xb76a3192, "");
SYMBOL_CRC(rdma_connect_locked, 0xa5b26fbe, "");
SYMBOL_CRC(rdma_connect, 0x8565e59b, "");
SYMBOL_CRC(rdma_connect_ece, 0x5c485794, "");
SYMBOL_CRC(rdma_accept, 0x9e18a2d0, "");
SYMBOL_CRC(rdma_accept_ece, 0x763c811d, "");
SYMBOL_CRC(rdma_lock_handler, 0x725557bb, "");
SYMBOL_CRC(rdma_unlock_handler, 0x1732ed38, "");
SYMBOL_CRC(rdma_notify, 0x9b2c4a14, "");
SYMBOL_CRC(rdma_reject, 0x1acf0efb, "");
SYMBOL_CRC(rdma_disconnect, 0x3fd1ddde, "");
SYMBOL_CRC(rdma_join_multicast, 0x71b44bcd, "");
SYMBOL_CRC(rdma_leave_multicast, 0x8c416de0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c37fd6, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcb922e2c, "iw_create_cm_id" },
	{ 0xa1ca7a3, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb2a79745, "ib_unregister_client" },
	{ 0xc3b53589, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6bf2771, "ib_send_cm_sidr_rep" },
	{ 0x8b22adf0, "bpf_trace_run4" },
	{ 0xcd7da0ea, "config_group_init" },
	{ 0xc770e8a, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x5c8584ad, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeebdf392, "trace_raw_output_prep" },
	{ 0x9d302587, "ib_cm_insert_listen" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x52d8409b, "__trace_trigger_soft_disabled" },
	{ 0xcf07d8fd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7c8b7816, "ib_sa_register_client" },
	{ 0xd6ac5099, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa6cd870d, "rdma_query_gid" },
	{ 0x1f26f9fa, "rt6_lookup" },
	{ 0xf669354d, "pcpu_hot" },
	{ 0xb34ebeed, "rdma_translate_ip" },
	{ 0x6695f5be, "bpf_trace_run2" },
	{ 0xe9dcff6f, "rdma_dev_access_netns" },
	{ 0x85eea816, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xf6bf3048, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x83c350d5, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xae77308b, "register_pernet_subsys" },
	{ 0xb6e33f3a, "trace_event_buffer_commit" },
	{ 0xf727eb03, "ip_mc_inc_group" },
	{ 0x30d5ed9, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x312f6604, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x119e4828, "iw_cm_connect" },
	{ 0x21f81be, "rdma_restrack_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbfc907c4, "rdma_addr_cancel" },
	{ 0x80e3282e, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0xf329cde3, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x282562c8, "ib_register_client" },
	{ 0xa6c05602, "ib_sa_path_rec_get" },
	{ 0xcb316633, "ib_create_cm_id" },
	{ 0x592db55, "__ip_mc_dec_group" },
	{ 0x41d57f6e, "vlan_dev_real_dev" },
	{ 0x43eb62e4, "ib_sa_unregister_client" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf91949f, "perf_trace_run_bpf_submit" },
	{ 0xe05ab623, "ib_init_ah_from_mcmember" },
	{ 0xbb58219a, "rdma_destroy_ah_attr" },
	{ 0x2938d92, "ib_set_client_data" },
	{ 0x9e84b0a4, "init_net" },
	{ 0x6907e98a, "ib_get_cached_pkey" },
	{ 0xe866f29d, "configfs_register_subsystem" },
	{ 0x8290201, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xfb61d704, "rdma_put_gid_attr" },
	{ 0x4539f3c6, "config_group_init_type_name" },
	{ 0x9b23a4ac, "dev_get_by_index" },
	{ 0xee5a69ee, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x3ab8e462, "ib_send_cm_rep" },
	{ 0x43c8b9b2, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x396a180, "iw_cm_disconnect" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x3c3f51a5, "bpf_trace_run1" },
	{ 0xb4c822c8, "ib_destroy_qp_user" },
	{ 0x3d427b1a, "unregister_pernet_subsys" },
	{ 0x40d5e8ad, "ib_cm_init_qp_attr" },
	{ 0x55d57373, "_dev_warn" },
	{ 0xcdf08350, "ib_send_cm_drep" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe9bbc042, "rdma_restrack_set_name" },
	{ 0x961f08b3, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x98ede149, "ib_get_cached_port_state" },
	{ 0xe0c86713, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9bb2f3c8, "rdma_restrack_del" },
	{ 0x9dcc90af, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x16e28bd2, "bpf_trace_run3" },
	{ 0x17867426, "__put_net" },
	{ 0x18ef6926, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbb62b, "iw_cm_accept" },
	{ 0x7f88f3be, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xd2818b74, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x79be8c80, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x209a76b5, "iw_cm_init_qp_attr" },
	{ 0xcf5c866f, "dst_release" },
	{ 0x57901e2c, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5be6f9df, "ib_send_cm_dreq" },
	{ 0x5a78ca6c, "ib_send_cm_req" },
	{ 0x816c538, "ib_create_qp_kernel" },
	{ 0x607f4afd, "ib_sa_join_multicast" },
	{ 0x3a98bc6c, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe24e27a3, "rdma_get_gid_attr" },
	{ 0x1ff5a710, "kmalloc_trace" },
	{ 0xb95ea628, "rdma_restrack_new" },
	{ 0xbd574e7b, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x80e5c041, "iw_cm_listen" },
	{ 0x9ac83d18, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9290760c, "rdma_copy_src_l2_addr" },
	{ 0x3c9c6300, "kmalloc_caches" },
	{ 0x161835fc, "rdma_resolve_ip" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm,configfs");


MODULE_INFO(srcversion, "043B02891FEA56C9EC6B764");

MODULE_INFO(suserelease, "SLE15-SP6");
