#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x0_chip_onoff, 0x71042855, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x489e14b8, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x6613c170, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0xde4c3da7, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0x1b8cb5b1, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x91c27ae9, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0xf9a0f45c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x741359c6, "mt76_init_sar_power" },
	{ 0xdf48778c, "mt76x02_phy_adjust_vga_gain" },
	{ 0x7232e5f7, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xc4f9d867, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbf2f637a, "mt76x02_mac_shared_key_setup" },
	{ 0x5c32f3aa, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x686222d8, "mt76x02_get_efuse_data" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbae94a66, "_dev_info" },
	{ 0x9fc2a324, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x667219f8, "ieee80211_queue_delayed_work" },
	{ 0xa6a2ee33, "mt76_eeprom_init" },
	{ 0xdc5e7fa0, "_dev_err" },
	{ 0x3bdf44da, "mt76x02_mac_setaddr" },
	{ 0xf91dd43b, "mt76_register_device" },
	{ 0xf14f4da8, "mt76x02_phy_set_bw" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xac8dee8e, "mt76x02_phy_set_band" },
	{ 0x4cf6162c, "mt76_set_channel" },
	{ 0xd659f3bc, "mt76x02_init_device" },
	{ 0x54af7c00, "ieee80211_wake_queues" },
	{ 0x922b217c, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x830b027e, "mt76x02_phy_set_rxpath" },
	{ 0x8104d38c, "mt76x02_edcca_init" },
	{ 0x7b453555, "mt76_eeprom_override" },
	{ 0x59b43474, "mt76x02_get_lna_gain" },
	{ 0xa10a6434, "mt76x02_init_debugfs" },
	{ 0x55d57373, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x807f26cb, "ieee80211_stop_queues" },
	{ 0xc3532713, "mt76x02_mac_cc_reset" },
	{ 0x8230d3e5, "mt76x02_init_agc_gain" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8cd04eb7, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xeac2ce3b, "____mt76_poll_msec" },
	{ 0xf656bcd5, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3a1eb7a4, "mt76x02_config_mac_addr_list" },
	{ 0xff1b68fb, "mt76_get_sar_power" },
	{ 0x556ff386, "mt76x02_eeprom_copy" },
	{ 0x61dd70c, "mt76x02_mcu_calibrate" },
	{ 0x40b5b6db, "mt76x02_mcu_function_select" },
	{ 0xe47484e7, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x3fc9e7ae, "mt76x02_mac_wcid_setup" },
	{ 0x5c602ccd, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x39f2cea, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x6bbdf375, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "CE2DD35AF09A8753CBEF0D2");

MODULE_INFO(suserelease, "SLE15-SP6");
