#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw_pm_ops, 0x48a8dfe5, "");
SYMBOL_CRC(rtw_pci_probe, 0x8928877a, "");
SYMBOL_CRC(rtw_pci_remove, 0x8636f3fc, "");
SYMBOL_CRC(rtw_pci_shutdown, 0xcecda720, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x27c4e83f, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4503e528, "rtw_tx_queue_mapping" },
	{ 0x41eae2d9, "pcie_capability_read_word" },
	{ 0x8dea484b, "devm_request_threaded_irq" },
	{ 0x436e212e, "pci_enable_device" },
	{ 0xcb4afc81, "skb_put" },
	{ 0x6a5dc88d, "consume_skb" },
	{ 0x60777975, "pci_iomap" },
	{ 0xc9c70658, "pci_alloc_irq_vectors" },
	{ 0x77356538, "netif_napi_add_weight" },
	{ 0x1185d95d, "skb_dequeue" },
	{ 0x46cf98ea, "ieee80211_free_hw" },
	{ 0x93bd60e, "dma_unmap_page_attrs" },
	{ 0x298bce77, "dma_sync_single_for_device" },
	{ 0x133c2f61, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0xc74539bd, "dev_kfree_skb_irq_reason" },
	{ 0x925d6604, "pci_set_power_state" },
	{ 0x3381296, "__netif_napi_del" },
	{ 0xd60e0dd, "ieee80211_wake_queue" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3462b342, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xc66823f2, "dma_map_page_attrs" },
	{ 0xc7191722, "napi_complete_done" },
	{ 0xc8439247, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x9b90d8eb, "devm_free_irq" },
	{ 0xdef2ca67, "__napi_schedule" },
	{ 0x26ecf55d, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd34de70f, "rtw_chip_info_setup" },
	{ 0xc1877c52, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xe0c215fb, "rtw_unregister_hw" },
	{ 0xdc5e7fa0, "_dev_err" },
	{ 0x9009fc8d, "skb_pull" },
	{ 0xac3851ee, "rtw_tx_fill_tx_desc" },
	{ 0x4084423a, "skb_push" },
	{ 0xaf8c6a6e, "dma_alloc_attrs" },
	{ 0x8005be42, "napi_enable" },
	{ 0x516c474f, "rtw_core_init" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1189068d, "ieee80211_alloc_hw_nm" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x9543b78a, "pci_iounmap" },
	{ 0xa07a6d09, "dma_sync_single_for_cpu" },
	{ 0xa47022c5, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0x55d57373, "_dev_warn" },
	{ 0x73446306, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5fc8e3fa, "ieee80211_stop_queue" },
	{ 0xcde4339f, "__netdev_alloc_skb" },
	{ 0xa1a6b3ef, "rtw_rx_stats" },
	{ 0xa6f24792, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2bd89a2d, "rtw_register_hw" },
	{ 0xa8a70f2e, "dma_free_attrs" },
	{ 0x669b44eb, "param_ops_bool" },
	{ 0x7e075e0e, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe8315239, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6b3b0a35, "rtw_dbg" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x9739f651, "rtw_core_deinit" },
	{ 0xff6e07cf, "rtw_ops" },
	{ 0xac8141ff, "pci_disable_device" },
	{ 0xcf3a9020, "napi_schedule_prep" },
	{ 0xc17196f0, "napi_disable" },
	{ 0xb799e120, "dev_kfree_skb_any_reason" },
	{ 0x7788b347, "rtw_power_mode_change" },
	{ 0xfaa70750, "rtw_tx_write_data_h2c_get" },
	{ 0xc22a1c75, "pci_free_irq_vectors" },
	{ 0xd32d8953, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8fd5ed9f, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x2d112c91, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "A1A75EBC27EB7AEDBCCFA7F");

MODULE_INFO(suserelease, "SLE15-SP6");
