#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xb6af6b94, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0xbb16a7a2, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x089efcca, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x2f0e8e70, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0xe7d80639, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xc5a21fd7, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x875246e4, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0xebb14579, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0xd924378c, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x9e6b5b85, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x50908653, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x2d111f67, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x715fe318, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0xbe61e725, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x6ad2ea02, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0xc3e043c3, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x7df856a3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf669354d, "pcpu_hot" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xff3bdef1, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xba45287e, "_dev_printk" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xd7b78743, "crypto_ahash_digest" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x85e45bf6, "iscsi_prep_data_out_pdu" },
	{ 0xdf193eaf, "iscsi_put_task" },
	{ 0x373558eb, "iscsi_conn_failure" },
	{ 0xc46254f9, "iscsi_conn_setup" },
	{ 0x2edd312, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xec1671f, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd13ef856, "iscsi_complete_pdu" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x244f35ef, "crypto_ahash_final" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3627e4f4, "skb_prepare_seq_read" },
	{ 0x7932f649, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0x915bf2bc, "skb_abort_seq_read" },
	{ 0x7fda2045, "iscsi_verify_itt" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xc99c1cd8, "iscsi_itt_to_ctask" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xa76d1779, "iscsi_update_cmdsn" },
	{ 0x229bb83f, "iscsi_get_task" },
	{ 0x739a5d47, "__iscsi_complete_pdu" },
	{ 0x9faf432d, "iscsi_requeue_task" },
	{ 0x928a7acb, "param_ops_int" },
	{ 0xb48ebb32, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");

MODULE_INFO(suserelease, "SLE15-SP6");
