#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

SYMBOL_CRC(atomisp_get_platform_data, 0x7aacfd13, "_gpl");
SYMBOL_CRC(atomisp_register_i2c_module, 0xdbc22342, "_gpl");
SYMBOL_CRC(atomisp_gmin_remove_subdev, 0xe35ec681, "_gpl");
SYMBOL_CRC(atomisp_register_sensor_no_gmin, 0x4da01c95, "_gpl");
SYMBOL_CRC(atomisp_unregister_subdev, 0x2ba1cc58, "_gpl");
SYMBOL_CRC(gmin_camera_platform_data, 0xf7e1446e, "_gpl");
SYMBOL_CRC(atomisp_gmin_register_vcm_control, 0xb0ec3824, "_gpl");
SYMBOL_CRC(gmin_get_var_int, 0x373f50e5, "_gpl");
SYMBOL_CRC(v4l2_get_acpi_sensor_info, 0xbc329da0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xaebd12f0, "acpi_get_name" },
	{ 0xa916b694, "strnlen" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3c9c6300, "kmalloc_caches" },
	{ 0x1ff5a710, "kmalloc_trace" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9aabc936, "gpiod_set_value" },
	{ 0xdef47329, "regulator_disable" },
	{ 0x4a33b13a, "regulator_enable" },
	{ 0x2d393f48, "intel_soc_pmic_exec_mipi_pmic_seq_element" },
	{ 0xddfc2ddb, "acpi_dev_get_first_match_dev" },
	{ 0x65650271, "device_match_acpi_dev" },
	{ 0x23be365a, "i2c_bus_type" },
	{ 0x5341ab5e, "bus_find_device" },
	{ 0x7cc86908, "put_device" },
	{ 0x97f8f6b7, "i2c_verify_client" },
	{ 0xf63f003a, "acpi_gpio_get_io_resource" },
	{ 0x55d57373, "_dev_warn" },
	{ 0x50228743, "gpiod_put" },
	{ 0x880ec836, "regulator_put" },
	{ 0x1269806, "gpio_to_desc" },
	{ 0x75248376, "gpiod_set_raw_value" },
	{ 0xdc03659, "regulator_set_voltage" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x92997ed8, "_printk" },
	{ 0x47229b5c, "gpio_request" },
	{ 0xd3456529, "gpiod_direction_output_raw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xfddeb056, "efi" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xdd64e639, "strscpy" },
	{ 0x754d539c, "strlen" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x56136520, "__dev_fwnode" },
	{ 0xb2735afc, "gpiod_get_index" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0xc1bf289d, "devm_clk_get" },
	{ 0x51dd71d2, "regulator_get" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xcea381dd, "x86_match_cpu" },
	{ 0xb34607c8, "dev_err_probe" },
	{ 0x47db0bdd, "devm_kmalloc" },
	{ 0x6ab6b0e6, "acpi_dev_get_resources" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0xe019e7f, "devm_acpi_dev_add_driver_gpios" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbae94a66, "_dev_info" },
	{ 0x391fc4c2, "is_acpi_device_node" },
	{ 0x25a93cb1, "acpi_device_set_power" },
	{ 0xc4f9d867, "__dynamic_dev_dbg" },
	{ 0xdc5e7fa0, "_dev_err" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E9F85BB06039C4E80C428BF");

MODULE_INFO(suserelease, "SLE15-SP6");
