#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(usb_serial_claim_interface, 0xa454b9bf, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0xfc87f1d5, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x07c0513f, "");
SYMBOL_CRC(usb_serial_resume, 0x09b88b83, "");
SYMBOL_CRC(usb_serial_register_drivers, 0x51b6c56f, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0x974ae2dd, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0xdd4e07c5, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0x7f88921c, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x1b0229c5, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0x6f76fade, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0x63545529, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0xd027a605, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0x6eba7763, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0x4429261c, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x1df47efa, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0x166143e3, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0x47d0ac80, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0x7a5e8331, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0x88f98d18, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0xec696b84, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x70b99e26, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0xc1632ea4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e8e4e5, "usb_put_intf" },
	{ 0xe675938, "usb_alloc_urb" },
	{ 0xa9df8427, "usb_autopm_put_interface" },
	{ 0xb4add387, "try_module_get" },
	{ 0x681bd79b, "usb_free_urb" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8259dffd, "dev_set_name" },
	{ 0xe41fae70, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xb65d8f07, "tty_flip_buffer_push" },
	{ 0xcd75e035, "driver_attach" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2b7fbf1a, "tty_kref_put" },
	{ 0xcc5571a3, "usb_register_driver" },
	{ 0x111af5ad, "usb_match_one_id" },
	{ 0xe395c283, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xf669354d, "pcpu_hot" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x77e3b0c7, "__tty_alloc_driver" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xceed39d5, "tty_standard_install" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x5757a4f1, "usb_show_dynids" },
	{ 0xdd534bcc, "tty_hangup" },
	{ 0x273419db, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xc4f9d867, "__dynamic_dev_dbg" },
	{ 0x7e3c6251, "usb_get_intf" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x55440aca, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xfa82e62e, "usb_put_dev" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7cc86908, "put_device" },
	{ 0xccc0efb3, "usb_get_dev" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0xa0c16fda, "usb_submit_urb" },
	{ 0xbae94a66, "_dev_info" },
	{ 0xaf8e785e, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7d7e3eec, "module_put" },
	{ 0x949f2c84, "tty_port_tty_wakeup" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xc859546d, "usb_match_id" },
	{ 0x78572243, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd154b012, "bus_unregister" },
	{ 0xdc5e7fa0, "_dev_err" },
	{ 0x8da4aeb4, "device_add" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x64aa9711, "tty_ldisc_ref" },
	{ 0xd5292f4c, "tty_vhangup" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xb073e091, "tty_port_destroy" },
	{ 0x1f9408c0, "tty_insert_flip_string_fixed_flag" },
	{ 0xf85ec85c, "tty_port_init" },
	{ 0x4686db1d, "usb_driver_claim_interface" },
	{ 0xf77bd92d, "seq_putc" },
	{ 0x9df94cc6, "usb_poison_urb" },
	{ 0xb5462b6f, "usb_unpoison_urb" },
	{ 0x59a7ceb1, "driver_unregister" },
	{ 0xcbb981ee, "tty_port_register_device" },
	{ 0xbc00d884, "tty_ldisc_deref" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x474fae22, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3bf88682, "device_del" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x5ebb49c9, "tty_port_close" },
	{ 0x9576bd76, "__tty_insert_flip_char" },
	{ 0x55d57373, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x7919725f, "usb_autopm_get_interface" },
	{ 0x5b2c6bf6, "tty_register_driver" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0551105, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x968a3c70, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf5874c13, "seq_printf" },
	{ 0xc1070562, "tty_port_open" },
	{ 0x5725ab10, "seq_puts" },
	{ 0x1ff5a710, "kmalloc_trace" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x53ee43a5, "driver_register" },
	{ 0x58911f4, "tty_driver_kref_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3c9c6300, "kmalloc_caches" },
	{ 0xffd195fe, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5e11e715, "tty_port_tty_get" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "3D72947FA887CDDD1BE7E62");

MODULE_INFO(suserelease, "SLE15-SP6");
