#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x9e84b0a4, "init_net" },
	{ 0x1057b1f, "alloc_netdev_mqs" },
	{ 0xf2a4a45d, "register_netdev" },
	{ 0x42dc1227, "free_netdev" },
	{ 0xd948a0e2, "rtnl_link_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x66676e02, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb9b23824, "kfree_skb_reason" },
	{ 0x46570cc6, "__xfrm_decode_session" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x641a647b, "ip6_route_output_flags" },
	{ 0xd78cf21e, "xfrm_lookup_route" },
	{ 0xfbfd1e62, "ip6_tnl_xmit_ctl" },
	{ 0x4efcb5d1, "ip6_mtu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb4eaca26, "icmp_ndo_send" },
	{ 0xbda8c0d7, "__pskb_pull_tail" },
	{ 0x58c3cc32, "skb_scrub_packet" },
	{ 0x8b1a41ba, "ip6_output" },
	{ 0xf669354d, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x82657db0, "ip_route_output_key_hash" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x7c8ef4ac, "ip_output" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xeb6e29c6, "icmpv6_ndo_send" },
	{ 0x791a13c0, "ipv4_mtu" },
	{ 0x73b59178, "__xfrm_policy_check" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5cfdc671, "xfrm_state_lookup" },
	{ 0xad20b307, "make_kuid" },
	{ 0x165c95cf, "ip6_update_pmtu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc404251b, "__xfrm_state_destroy" },
	{ 0xe9a60586, "ip6_redirect" },
	{ 0x927d014d, "ip6_tnl_rcv_ctl" },
	{ 0x133d3ad7, "xfrm_input" },
	{ 0x28603a27, "xfrm6_tunnel_spi_lookup" },
	{ 0xeb3abdd6, "dev_get_tstats64" },
	{ 0xa1534442, "ip6_tnl_get_iflink" },
	{ 0x22a79198, "ip6_tnl_get_link_net" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x16dd2dbe, "register_pernet_device" },
	{ 0xc6754563, "xfrm6_protocol_register" },
	{ 0x4dc64d2, "xfrm6_tunnel_register" },
	{ 0xf2def14e, "rtnl_link_register" },
	{ 0x7026f4de, "xfrm6_tunnel_deregister" },
	{ 0xf9255ab5, "xfrm6_protocol_deregister" },
	{ 0x85e8662f, "unregister_pernet_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaf0f5798, "unregister_netdevice_queue" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x57c1ff1, "register_netdevice" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7b2f6792, "dev_addr_mod" },
	{ 0xbd2cd206, "ip6_tnl_get_cap" },
	{ 0xc669be87, "__dev_get_by_index" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x1f26f9fa, "rt6_lookup" },
	{ 0xcf5c866f, "dst_release" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x583129bb, "netdev_state_change" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x168a7e5a, "ip_tunnel_header_ops" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "ip6_tunnel,xfrm6_tunnel,tunnel6");


MODULE_INFO(srcversion, "D2217898C56797AA19FD996");

MODULE_INFO(suserelease, "SLE15-SP6");
