#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xec5553dd, "snd_hda_add_new_ctls" },
	{ 0xee8f3b0a, "snd_hda_gen_build_controls" },
	{ 0xb26398f, "snd_hda_gen_mic_autoswitch" },
	{ 0x749756a8, "query_amp_caps" },
	{ 0xe70cf604, "snd_hda_mixer_amp_volume_info" },
	{ 0x1b5972c5, "snd_hdac_regmap_read_raw" },
	{ 0xa9cc0022, "snd_hda_jack_detect_state_mst" },
	{ 0x7410e35f, "snd_hda_gen_spec_init" },
	{ 0x742f34c8, "snd_hda_mixer_amp_switch_info" },
	{ 0x9e277811, "hda_codec_driver_unregister" },
	{ 0x94020709, "snd_hda_add_new_path" },
	{ 0x7d7bb3cf, "snd_hdac_codec_write" },
	{ 0x1a6b770d, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x333cf77d, "snd_hda_gen_add_kctl" },
	{ 0xc4f9d867, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2a25f388, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x1e957856, "_snd_hdac_read_parm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xbae94a66, "_dev_info" },
	{ 0xa829f3a, "snd_ctl_boolean_mono_info" },
	{ 0x99891855, "snd_hda_override_amp_caps" },
	{ 0x76be746c, "__hda_codec_driver_register" },
	{ 0x27626dc7, "snd_hda_jack_set_gating_jack" },
	{ 0x6e30b8df, "snd_hda_parse_pin_defcfg" },
	{ 0xf1597eef, "snd_hda_gen_init" },
	{ 0xc61eb5d6, "snd_hda_activate_path" },
	{ 0xb81ec1eb, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0x7c663733, "snd_hdac_regmap_add_vendor_verb" },
	{ 0x15e4e70d, "snd_hda_codec_set_pin_target" },
	{ 0x5e698e76, "snd_hda_gen_check_power_status" },
	{ 0xbf185f05, "snd_hdac_regmap_write_raw" },
	{ 0x83c5f977, "snd_hda_mixer_amp_volume_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce137230, "snd_hda_get_path_from_idx" },
	{ 0x4dc72e2d, "snd_hda_gen_update_outputs" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x71ea1a04, "snd_hda_jack_unsol_event" },
	{ 0x549f6dd9, "snd_hda_gen_shutup_speakers" },
	{ 0xd7a524c9, "snd_hda_gen_build_pcms" },
	{ 0xed40cfa, "snd_hda_mixer_amp_tlv" },
	{ 0xf0c23850, "snd_hda_pick_fixup" },
	{ 0x8129c1e2, "snd_hda_apply_fixup" },
	{ 0xd1d2e06f, "snd_hda_gen_parse_auto_config" },
	{ 0x1ff5a710, "kmalloc_trace" },
	{ 0xf60bd0b9, "snd_hdac_codec_read" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x6fe374ef, "snd_hda_mixer_amp_volume_put" },
	{ 0xacff48ad, "snd_hda_codec_get_pin_target" },
	{ 0x29065d2a, "snd_hda_gen_free" },
	{ 0x2ec23303, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3c9c6300, "kmalloc_caches" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F11F87r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F120D1r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "B0D4601779E33ECF4EE43F1");

MODULE_INFO(suserelease, "SLE15-SP6");
